using UnityEngine;

[CreateAssetMenu(fileName = "text_effect_controller", menuName = "Text effect Controller")]
public sealed class TextEffectController : ScriptableObject
{
    [SerializeField]
    private TextEffect textEffectPrefab = null;

    public void Show(string text, Vector3 position) {
        var effect = Instantiate(textEffectPrefab);
        effect.Show(text, position);
    }
}
